<?php
namespace Ig\IgCaptcha\Hooks;

/**
 * Hook that adds some captcha configuration for tx_form
 *
 * Did not find any better way to do this. But it works :)
 */
class CaptchaHook {
	/**
	 * Load additional JS-Files
	 *
	 * @param &array $argumetns Arguments, not used
	 * @param &mixed $obj The calling object
	 *
	 * @return array The JS-Files array
	 */
	public function loadJavascript(&$arguments, &$obj) {
		$baseUrl = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('ig_captcha') . 'Resources/Public/JavaScript/Wizard/';
		return array(
			$baseUrl . 'Initialize.js', 
			$baseUrl . 'Elements/Basic/Captcha.js',
			$baseUrl . 'Viewport/Left/Options/Forms/Validation/Captcha.js',
			$baseUrl . 'Viewport/Left/Options/Forms/Filters/Test.js',
		);

	}

	/**
	 * Load additional CSS-Files
	 *
	 * @param &array $argumetns Arguments, not used
	 * @param &mixed $obj The calling object
	 *
	 * @return array The CSS-Files array
	 */
	public function loadCss(&$arguments, &$obj) {
		$baseUrl = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('ig_captcha') . 'Resources/Public/CSS/';
		return array(
			$baseUrl . 'Wizard/Form.css',
			$baseUrl . 'Wizard/Wizard.css',
		);
	}

	/**
	 * Load additional Localization-Files
	 *
	 * @param &array $argumetns Arguments, not used
	 * @param &mixed $obj The calling object
	 *
	 * @return array $controllerLabels The added labels merged together
	 */
	public function loadLocalization(&$arguments, &$obj) {
		$wizardLabels = $GLOBALS['LANG'] -> includeLLFile('EXT:ig_captcha/Resources/Private/Language/locallang_wizard.xlf', false, true);
		$controllerLabels = $GLOBALS['LANG'] -> includeLLFile('EXT:ig_captcha/Resources/Private/Language/locallang.xlf', false, true);

		\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule($controllerLabels, $wizardLabels);

		return $controllerLabels;
	}

	/**
	 * Returns registered element names
	 *
	 * @param &array $argumetns Arguments, not used
	 * @param &mixed $obj The calling object
	 *
	 * @return array The registered element names array
	 */
	public function getRegisteredElementNames(&$arguments, &$obj) {
		return array('CAPTCHA');
	}

	/**
	 * Returns an array with the xtypes of the new elements
	 *
	 * @param &array $argumetns Arguments, not used
	 * @param &mixed $obj The calling object
	 *
	 * @return array The xtypes array
	 */
	public function getXTypes(&$arguments, &$obj) {
		return array('typo3-form-wizard-elements-basic-captcha');
	}
}
